MASKPRIMERS.PY(1)

NAME
MaskPrimers.py - Removes primers and annotates sequences with primer and barcode identifiers

DESCRIPTION
usage: MaskPrimers.py [--version] [-h] ...

Removes primers and annotates sequences with primer and barcode identifiers

  help:

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  subcommands:

    Alignment method

align
    Find primer matches using pairwise local alignment.

score
    Find primer matches by scoring primers at a fixed position.

extract
    Remove and annotate a fixed sequence region.

  output files:

    mask-pass

    processed reads with successful primer matches.

    mask-fail

    raw reads failing primer identification.

  output annotation fields:

    SEQORIENT

    the orientation of the output sequence. Either F (input) or RC (reverse complement of input).

    PRIMER

    name of the best primer match.

    BARCODE

    the sequence preceding the primer match. Only output when the --barcode flag is specified.

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.